﻿$ErrorActionPreference = 'Stop';
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = ''
$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  softwareName  = 'yacreader*'
  fileType      = 'exe'
  silentArgs    = "/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /NOCANCEL"
  validExitCodes= @(0)
  url           = "https://github.com/YACReader/yacreader/releases/download/9.6.2/YACReader-v9.6.2.1909283-winx86-7z.exe"  #download URL, HTTPS preferrred
  checksum      = 'dfbb785eaa43584ba190c78f240850a995cf8362c3fad7dbbd555893904d289a'
  checksumType  = 'sha256'
  url64bit      = "https://github.com/YACReader/yacreader/releases/download/9.6.2/YACReader-v9.6.2.1909283-winx64-7z.exe"   # 64bit URL here (HTTPS preferred) or remove - if installer contains both architectures (very rare), use $url
  checksum64    = '17a8e77a130ab18e4cde45c24b7b776fc8632512a5aecf71dcc9c96a35b31946'
  checksumType64= 'sha256'
  destination   = $toolsDir
}

Install-ChocolateyPackage @packageArgs